질문/조언질답게시판

xe에서 라이믹스로

Extra Form
PHP PHP 5.5
CMS XpressEngine
  • Apache Version2.2.32
  • PHP Version5.5.38
  • MySQL Version5.6.35

Powered by XE. | Your version: 1.8.42 

 

현재 홈의 버전입니다..커뮤 동접수도 많고 모듈, 애드온 등등 기능을 너무 많이 설치해놔서

혹시나 오류가 생길까봐 무서워서요ㅠㅠ 백업은 해두겠지만 특별하게 큰 오류는 없겠죠....

  • profile
    현재 PHP버전 5.5 사용중이신데 라이믹스는 최소 7.0버전을 요구 합니다.
    PHP버전을 업하셔야 될것 같습니다.

    만약 별도의 모듈 및 애드온등을 여러개 사용중이라면 경우에 따라서는 7.0에서 작동하지 않는 모듈등이 발생할 가능성이 높아집니다. (이때 모듈이나 애드온이 PHP버전에 안맞게 되면 사이트에 접속이 불가하게 됩니다.)

    보통의경우 BaseObject 관련 이슈일 가능성이 높습니다. (기존 5.x에서 사용하던 코드를 7.x에서도 작동하게 소스 일부 수정이 필요)

    우선은 사이트 data를 백업하여 잘 보관하시고 라이믹스로 넘어오세요ㅎ
  • profile profile
    감사합니다ㅠㅜㅜ 코드 수정이 필요한 모듈때문에 한다면 작업 의뢰가 나을것 같네요...
  • profile
    일단 사이트를 그대로 복사해서 PHP 7 이상인 서버에 돌리면서 오류가 있는지 테스트 해보시는게 좋을 것 같습니다

서버에 요청 중입니다. 잠시만 기다려 주십시오...